import random
from sendSMS import MessageHandler
import configparser

class FlightInformation:
    def __init__(self):
        config = configparser.ConfigParser()
        config.read('../resources/config.ini')

        base_url = config['API']['base_url']
        app_key = config['API']['app_key']
        app_secret = config['API']['app_secret']
        self.messageHandler = MessageHandler(base_url, app_key, app_secret)
        self.noOfSeats = 10
        self.noOFSeatsbooked = 6

    def addFlightDetails(self, flightID, fromCity, toCity, deptTime, arrTime):
        self.flightID = flightID
        self.fromCity = fromCity
        self.toCity = toCity
        self.deptTime = deptTime
        self.arrTime = arrTime
    
    def bookFlight(self, customerDetails):
        messageString = "Hi " + customerDetails.customerFirstName + " your flight has been booked with seat Number: " + self.getAvailableSeatsAndAssign(1) + " from " \
        + self.fromCity + " to " + self.toCity + " departuring at " + self.deptTime

        destinationNumber = customerDetails.customerMobNo
        self.messageHandler.sendSMS(messageString, destinationNumber)
    
    def getAvailableSeatsAndAssign(self, NoOFpeople):
        flightID = self.flightID
        booked = False
        availablesSeats = self.noOfSeats - self.noOFSeatsbooked
        if availablesSeats != 0 and availablesSeats >= NoOFpeople:
            booked = True
            seatNumberAssign = random.randint(1, availablesSeats)
            return flightID + '_' + str(seatNumberAssign)   